Class | CommandOptionError
In: | kwalify/util/option-parser.rb
Parent: | StandardError

$Rev$ $Release: 0.7.2 $ copyright(c) 2005-2010 kuwata-lab all rights reserved.

### Methods

new

### Attributes

error_symbol | [R] |
option | [R] |

### Public Class methods

new(option, error_symbol, message=nil)

[Source]

    # File kwalify/util/option-parser.rb, line 8
      def initialize(option, error_symbol, message=nil)
        if !message
          case error_symbol
          when :no_argument
            message = "-%s: argument required." % option
          when :unknown_option
            message = "-%s: unknown option." % option
          when :invalid_property
            message = "-%s: invalid property." % option
          else
            message = "*** internal error(optchar=#{option}, error_symbol=#{error_symbol}) ***"
          end
        end
        super(message)
        @option = option
        @error_symbol = error_symbol
      end

[Validate]